// Garden Gnome Software - Skin
// Pano2VR 3.1.4/1954
// Filename: itcow360i.ggsk
// Generated Sat Sep 1 13:05:04 2012

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		return 'translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._loading_text=document.createElement('div');
		this._loading_text.ggId='Loading text'
		this._loading_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loading_text.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  10px;';
		hs+='width: 177px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._loading_text.setAttribute('style',hs);
		this._loading_text.ggUpdateText=function() {
			this.innerHTML="<b>Loading..."+(me.player.getPercentLoaded()*100.0).toFixed(0)+"%<\/b>";
		}
		this._loading_text.ggUpdateText();
		this.divSkin.appendChild(this._loading_text);
		this._loading_rectangle=document.createElement('div');
		this._loading_rectangle.ggId='Loading rectangle'
		this._loading_rectangle.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loading_rectangle.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 9px;';
		hs+='top:  29px;';
		hs+='width: 178px;';
		hs+='height: 8px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 2px solid #000080;';
		hs+='background-image:url(' + basePath + 'images/alpha_background_0000ff_76.png);';
		this._loading_rectangle.setAttribute('style',hs);
		this.divSkin.appendChild(this._loading_rectangle);
		this._itcow360=document.createElement('div');
		this._itcow360.ggId='itcow360'
		this._itcow360.ggParameter={ rx:0,ry:0,a:0,sx:0.5,sy:0.5 };
		this._itcow360.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -16px;';
		hs+='top:  -75px;';
		hs+='width: 122px;';
		hs+='height: 440px;';
		hs+=cssPrefix + 'transform-origin: 0% 0%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._itcow360.ggParameter) + ';';
		hs+='opacity: 0.1;';
		hs+='visibility: inherit;';
		this._itcow360.setAttribute('style',hs);
		this._itcow360__img=document.createElement('img');
		this._itcow360__img.setAttribute('src',basePath + 'images/itcow360.png');
		this._itcow360__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._itcow360__img);
		this._itcow360.appendChild(this._itcow360__img);
		this._itcow360.onclick=function () {
			me.player.openUrl("http:\/\/360.itcow.com","");
		}
		this._itcow360.onmouseover=function () {
			me.elementMouseOver['itcow360']=true;
		}
		this._itcow360.onmouseout=function () {
			me._itcow360.style[domTransition]='none';
			me._itcow360.style.opacity='0.1';
			me._itcow360.style.visibility=me._itcow360.ggVisible?'inherit':'hidden';
			me.elementMouseOver['itcow360']=false;
		}
		this._itcow360.ontouchend=function () {
			me.elementMouseOver['itcow360']=false;
		}
		this.divSkin.appendChild(this._itcow360);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
			me._loading_text.style[domTransition]='none';
			me._loading_text.style.visibility='hidden';
			me._loading_text.ggVisible=false;
			me._loading_rectangle.style[domTransition]='none';
			me._loading_rectangle.style.visibility='hidden';
			me._loading_rectangle.ggVisible=false;
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		this._loading_text.ggUpdateText();
		var hs='';
		if (me._loading_rectangle.ggParameter) {
			hs+=parameterToTransform(me._loading_rectangle.ggParameter) + ' ';
		}
		hs+='scale(' + (1 * me.player.getPercentLoaded() + 0) + ',1.0) ';
		me._loading_rectangle.style[domTransform]=hs;
		if (me.elementMouseOver['itcow360']) {
			me._itcow360.style[domTransition]='none';
			me._itcow360.style.opacity='1';
			me._itcow360.style.visibility=me._itcow360.ggVisible?'inherit':'hidden';
		}
	};
	this.addSkin();
};